Subject: Re: bug#57583: Guix cannot resume after hibernation

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Mon, 05 Sep 2022 14:38:25 +0200

Hi again,

Josselin Poiret via Bug reports for GNU Guix 写道：
>                    (and testing these kinds of features is 
>                    dangerous,
> you could make a wrong move and incur heavy data loss)

I couldn't agree moEXT4-fs ext4_get_branch:171: inode #8: block 
30343695: comm jbd2/sdb7-8: invalid block
Aborting journal on device sdb7-8.

…ya know, I actually wrote a patch that I thought I'd submitted, 
but apparently not?  Or I'm failing to use Mumi again.

We should scan all swap areas for the S1SUSPEND signature, and do 
a much better thing than the current behaviour if we find one.

I'll see if I can find it in a backup somewhEXT4-fs (sdb7): 
Remounting filesystem read-only

Kind regards,

T G-R